%define upstream_name vtg

Name:           gedit-vala
Version:        0.4.1
Release:        2%{?dist}
Summary:        Vala Toys for gEdit

Group:          Applications/Editors
License:        GPLv2+
URL:            http://code.google.com/p/vtg/
Source0:        http://vtg.googlecode.com/files/vtg-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gedit-devel vala-devel GConf2-devel
# GConf2-devel ought to depend on dbus-devel:
# https://bugzilla.redhat.com/show_bug.cgi?id=485667
BuildRequires:  dbus-devel
BuildRequires:  gtksourcecompletion-devel
BuildRequires:  intltool perl(XML::Parser)
BuildRequires:  readline-devel 
Requires:       gedit vala
# For project support
Requires:       automake libtool intltool perl(XML::Parser)
Requires:       gnome-common gtk2-devel 

%description
Vala Toys for gEdit is an experimental collection of plugins that
extends the gEdit editor to make it a better programmer editor for the
Vala language.

Vtg tries to make less compromises as possible so, for now, its scope
is narrowed only to support Vala.

It is written in Vala and it is currently composed of just one plugin
with four modules:

    * Bracket completion module
    * Symbol completion module
    * Project Manager - based on the gnome build framework library
    * Project builder / executer 


%prep
%setup -q -n %{upstream_name}-%{version}


%build
%configure
# this switch is ignored right now
# --docdir=%{_docdir}/%{name}-%{version}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT vtgdocdir=%{_docdir}/%{name}-%{version}
%find_lang %{upstream_name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{upstream_name}.lang
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/*
%exclude %{_libdir}/gedit-2/plugins/*.la
%{_libdir}/gedit-2/plugins/*
%{_datadir}/vtg
%{_mandir}/man1/*


%changelog
* Tue Feb 24 2009 Michel Salim <salimma@fedoraproject.org> - 0.4.1-2
- Add requirements needed to build sample projects

* Tue Feb 24 2009 Michel Salim <salimma@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Mon Feb 23 2009 Michel Salim <salimma@fedoraproject.org> - 0.3.2-3.1
- Bug #485667 workaround: BR on dbus-devel for now

* Mon Feb  9 2009 Michel Salim <salimma@fedoraproject.org> - 0.3.2-3
- Fix documentation path

* Mon Feb  9 2009 Michel Salim <salimma@fedoraproject.org> - 0.3.2-2
- Rename vtg to the more descriptive gedit-vala

* Thu Feb  5 2009 Michel Salim <salimma@fedoraproject.org> - 0.3.2-1
- Initial package

